// IThemeStoreService.aidl
package com.setup.lib.themestore;

import com.setup.lib.themestore.IThemeStoreCallBack;

// Declare any non-default types here with import statements
// 主题sdk通过serviceConnection连接"com.android.launcher.service.ThemeStoreService"服务
// 获得IBinder后调用相关方法实现主题、壁纸或字体设置
interface IThemeStoreService {

    void setLauncherTheme(String themePath, IThemeStoreCallBack callback);

    void setLauncherWallPaper(String wallpaperPath, IThemeStoreCallBack callback);

    void setLauncherFont(String fontPath, IThemeStoreCallBack callback);

    void restoreDefaultTheme(IThemeStoreCallBack callback);

    void restoreDefaultFont(IThemeStoreCallBack callback);
}
