// IThemeStoreCallBack.aidl
package com.setup.lib.themestore;

// Declare any non-default types here with import statements
// 主题SDK自己实现这个回调接口
// 客户端设置主题、壁纸和字体前后回调主题sdk方法
interface IThemeStoreCallBack {

      /* result : 0失败，1成功*/
      void beforeSetTheme();

      void onSetThemeFinished(int result);

      void beforeSetWallpaper();

      void onSetWallpaperFinished(int result);

      void beforeSetFont();

      void onSetFontFinished(int result);
}
